/**
 * @file   analyse_frequence.c
 * @author Sebastien Varrette <Sebastien.Varrette@imag.fr>
 * @date   Mon Apr 10 2006 
 *
 * Copyright (c) 2006 Sebastien Varrette  (http://www-id.imag.fr/~svarrett/)
 *
 * @brief  see analyse_frequence.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Sebastien Varrette                               \n
 * <Sebastien.Varrette@imag.fr>                     \n
 * University of Luxembourg / ID-IMAG Laboratory    \n
 * 162-A avenue de la faiencerie                    \n
 * L-1511 Luxembourg, LUXEMBOURG                    \n
 */
 /********************************************************************************/
#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit  */

#include "analyse_frequence.h"

/**
 * Tableau de rfrence de l'analyse frquentielle statistique des textes en franais.
 */
letter_freq_t TAB_REF_FR[A_SIZE] = {
    {'a', 8.11}, {'b', 0.81}, {'c', 3.38}, {'d', 4.28}, {'e', 17.69}, {'f', 1.13}, 
    {'g', 1.19}, {'h', 0.74}, {'i', 7.24}, {'j', 0.18}, {'k', 0.02},  {'l', 5.99},
    {'m', 2.29}, {'n', 7.68}, {'o', 5.20}, {'p', 2.92}, {'q', 0.83},  {'r', 6.43},
    {'s', 8.87}, {'t', 7.44}, {'u', 5.23}, {'v', 1.28}, {'w', 0.06},  {'x', 0.53},
    {'y', 0.26}, {'z', 0.12 }
};

